Bug 435785 - nfs(5) man page falsely lists udp as the default nfs protocol
nfs(5) man page falsely lists udp as the default nfs protocol
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: util-linux (Show other bugs)
4.6
All Linux
low Severity low
: rc
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 16:09 EST by Victor Gregorio
Modified: 2008-07-24 16:01 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0751
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:01:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Gregorio 2008-03-03 16:09:22 EST
Description of problem:

The nfs(5) mount page lists udp as the default NFS protocol.
RHEL4 uses tcp as the default NFS protocol.

Version-Release number of selected component (if applicable):

Release: Red Hat Enterprise Linux AS release 4 (Nahant Update 6)
RPM: util-linux-2.12a-17.el4_6.1

How reproducible:

Always

Steps to Reproduce:
1. man 5 nfs
  
Actual results:

tcp            Mount the NFS filesystem using the TCP protocol instead
               of the default UDP protocol.   Many  NFS  servers  only
               support UDP.

udp            Mount  the NFS filesystem using the UDP protocol.  This
               is the default.

Expected results:

Tcp should be listed as the default protocol.

Additional info:

Red Hat Enterprise Linux 4: System Administration Guide
Chapter 22. Network File System (NFS)
http://www.redhat.com/docs/manuals/enterprise/RHEL-4-Manual/sysadmin-guide/s1-nfs-mount.html

22.2.3. Using TCP

The default transport protocol for NFSv4 is TCP; however, the Red Hat Enterprise
Linux 4 kernel includes support for NFS over UDP. To use NFS over UDP, include
the -o udp option to mount when mounting the NFS-exported file system on the
client system.
Comment 1 RHEL Product and Program Management 2008-03-26 18:27:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 errata-xmlrpc 2008-07-24 16:01:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0751.html

Note You need to log in before you can comment on or make changes to this bug.